goalPlaceFuses.mSteps = 
{
	{ action = "solve", layout = layoutBasementFusebox }
}
-- ----------------------------------------------------------------------------
function goalPlaceFuses:onStarted()
	layoutBasementFusebox.puzzleActive = true
	
end
-- ----------------------------------------------------------------------------
function goalPlaceFuses:onSolveFinish(layout)

	if (layout == layoutBasementFusebox) then
		self:achieved()
		
		-- Porch:
		--objectPorchBackgroundUnlit:ss(kDone)
		--objectPorchBackgroundUnlitFront:ss(kDone)
		objectPorchDoorOpen:ss(kDone)
		objectPorchShutterOpen:ss(kDone)
		objectPorchRockUnlit:ss(kDone)
		objectPorchShed:ss(kDone)
		objectPorchBackgroundLit:ss(kIdle)
		objectPorchBackgroundLitFront:ss(kIdle)
		objectPorchWindowOpenLit:ss(kIdle)
	    objectPorchDoorLights:ss(kActive)
	    objectPorchRockLit:ss(kActive)
	    objectPorchShedLit:ss(kActive)
	    
	    layoutPorch:animLightFlicker()
		
		-- Livingroom:
	    objectLivingroomBackgroundLeftUnlit:ss(kDone)
	    objectLivingroomBackgroundLeftUnlit2:ss(kDone)
	    objectLivingroomBackgroundCenterUnlit:ss(kDone)
	    objectLivingroomBackgroundRightUnlit:ss(kDone)
	    objectLivingroomBasementhatch:ss(kDone)
	    objectLivingroomPictureUnlit:ss(kDone)
	    objectLivingroomCorkboardUnlit:ss(kDone)
	    objectLivingroomPorchdoorOpenUnlit:ss(kDone)
	    objectLivingroomRadiostationlistUnlit:ss(kDone)
	    objectPorchSuitcaseInsideUnlit:ss(kDone)
	    objectPorchSuitcaseInside:ss(kIdle)
	    objectPoiLivingroomPaperUnlit:ss(kDone)
	    objectLivingroomPaperUnlit:ss(kDone)
	    
	    objectLivingroomBackgroundLeftLit:ss(kIdle)
	    objectLivingroomBackgroundCenterLit:ss(kIdle)
	    objectLivingroomBackgroundRightLit:ss(kIdle)
	    objectPhonenumberPiece2:ss(kIdle)
		objectPhonenumberPiece3:ss(kIdle)
		objectPhonenumberPiece4:ss(kIdle)
		objectLivingroomRadiofrontplate:ss(kIdle)
		objectLivingroomRadiofrontplateSmall:ss(kIdle)
	    
	    objectLivingroomCorkboardLit:ss(kLocked)
	    objectLivingroomPhone:ss(kLocked)
	    objectLivingroomPhoneBroken:ss(kLocked)
	    
	    objectLivingroomBasementhatchLit:ss(kActive)
	    objectLivingroomBedroomdoorLit:ss(kActive)
	    objectLivingroomPorchdoorOpenLit:ss(kActive)
	    
	    objectLivingroomCupboard:ss(kActive)
	    objectLivingroomPictureLit:ss(kActive)
	    objectLivingroomRadiostationlistLit:ss(kActive)
	    objectLivingroomTelevision:ss(kActive)
	    objectLivingroomTelevisionAnimation:ss(kIdle)
	    objectPoiLivingroomPaperLit:ss(kActive)
	    objectLivingroomPaperLit:ss(kIdle)	    
	    
		layoutLivingroom:animPaperLit()
	    layoutLivingroom:showTelevisionAnimation()
	    layoutLivingroom:killDustAnimations()
    	
    	layoutPorch.mEffectMosquitos:play()
    	
    	-- Livingroom paper:
		objectBackgroundLivingroomPaperLit:ss(kIdle)
		objectBackgroundLivingroomPaperUnlit:ss(kDone)    	
	    
	    -- Basement:
	    objectBasementFuseboxLit:ss(kActive)
	    objectBasementDoorLit:ss(kActive)
		objectBasementSecretdoorLit:ss(kActive)
		objectBasementDarkcornerLit:ss(kLocked)
		objectBasementPaper:ss(kIdle)
		objectPoiBasementPaper:ss(kActive)
		
		objectBasementBackgroundLit:ss(kIdle)
		objectBedroomCandleDark:ss(kDone)
		
	    objectBasementDoorUnlit:ss(kDone)
	    objectBasementSecretdoorUnlit:ss(kDone)
	    objectBasementFuseboxUnlit:ss(kDone)
	    objectBasementDarkcornerUnlit:ss(kDone)
	    objectBasementBackgroundUnlit:ss(kDone)
	    objectBasementWrenchUnlit:ss(kInactive)	-- Can't be set to kDone because we need to activate the wrench later on!
	    
	    -- Basement fusebox:
    	objectBasementFuseboxBackgroundLit:ss(kIdle)
    	objectBasementFuseboxBackground:ss(kDone)
    	objectBasementFuseboxShine:ss(kIdle)
	    
	    -- Secret door:
	    objectBasementSecretdoorPeephole:ss(kDone)
	    objectBasementSecretdoorLook:ss(kDone)
	    objectBasementSecretdoorBackground:ss(kDone)		
	end

end
